# How-to guides

How-to guides can be thought of as directions that guide the reader through the steps to achieve a specific end. They'll help you achieve a result but may require you to understand and adapt the steps to fit your specific requirements. Here you'll find short answers to "How do I...?" types of questions.

| How-to-guides                                                                          | Get stuff done                                                                                                                                    |
| -------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Validate Sealed Secrets](./validate-sealed-secrets.md)                                                  | Understand how to validate an existing Sealed Secret.                                                    |
             |

Alternatively, our [Tutorials section](../tutorials/README.md) contains step-by-step tutorials to help outline what Sealed Secrets is capable of.

Take a look at our [Reference section](../reference/README.md) when you need to know design decisions, detailed developer guides, etc.

Finally, for a better understanding of Sealed Secrets architecture, our [Background section](../background/README.md) enables you to expand your knowledge.
